apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ include "gitlab-agent.serviceAccountName" . }}
  labels:
    {{- include "gitlab-agent.labels" . | nindent 4 }}
  {{- with .Values.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
imagePullSecrets:
- name: gitlab-registry
